taffybar-4.0.1: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Support.PagerHints

Contents

- Usage

Description

Complements the XMonad.Hooks.EwmhDesktops with two additional hints not contemplated by the EWMH standard:

`_XMONAD_CURRENT_LAYOUT`
  Contains a UTF-8 string with the name of the windows layout currently used in the active workspace.
`_XMONAD_VISIBLE_WORKSPACES`
  Contains a list of UTF-8 strings with the names of all the workspaces that are currently showed in a secondary display, or an empty list if in the current installation there's only one monitor.

The first hint can be set directly on the root window of the default display, or indirectly via X11 events with an atom of the same name. This allows both to track any changes that occur in the layout of the current workspace, as well as to have it changed automatically by just sending a custom event to the hook.

The second one should be considered read-only, and is set every time XMonad calls its log hooks.

Synopsis

- pagerHints :: XConfig a -> XConfig a

# Usage

You can use this module with the following in your `xmonad.hs` file:

    import System.Taffybar.Support.PagerHints (pagerHints)

    main = xmonad $ ewmh $ pagerHints $ defaultConfig
    ...

pagerHints :: XConfig a -> XConfig a Source #

Add support for the "Current Layout" and "Visible Workspaces" custom hints to the given config.